summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/transactions/0034set_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/transactions/0034set_0')
-rwxr-xr-xtests/shell/testcases/transactions/0034set_014
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/transactions/0034set_0 b/tests/shell/testcases/transactions/0034set_0
new file mode 100755
index 0000000..1580c32
--- /dev/null
+++ b/tests/shell/testcases/transactions/0034set_0
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+RULESET="add table x
+add set x y { type ipv4_addr; }
+add element x y { 1.1.1.1 }
+delete element x y { 1.1.1.1 }"
+
+$NFT -f - <<< "$RULESET"
+if [ $? -ne 0 ] ; then
+ echo "E: unable to load good ruleset" >&2
+ exit 1
+fi